    Program x05abfe

!     X05ABF Example Program Text

!     Mark 24 Release. NAG Copyright 2012.

!     .. Use Statements ..
      Use nag_library, Only: x05abf
!     .. Implicit None Statement ..
      Implicit None
!     .. Parameters ..
      Integer, Parameter               :: nin = 5, nout = 6
!     .. Local Scalars ..
      Character (30)                   :: ctime
!     .. Local Arrays ..
      Integer                          :: itime(7)
!     .. Executable Statements ..
      Write (nout,*) 'X05ABF Example Program Results'

!     Skip heading in data file
      Read (nin,*)

      Read (nin,*) itime

      ctime = x05abf(itime)

      Write (nout,99999) ctime

99999 Format (1X,A)
    End Program x05abfe
